#include "TkXext.h"

int TkXext_MakeWindowExist TCL_OBJ_CMD_ARGS {
 Tk_Window tkwin;
 char *path;

 if (2 != objc) {
  Tcl_WrongNumArgs (interp, 1, objv, ".window-path");
  return TCL_ERROR;
 }

 path = Tcl_GetString (objv[1]);

 tkwin = Tk_NameToWindow (interp, path, Tk_MainWindow (interp));

 if (NULL == tkwin) {
  return TCL_ERROR;
 }
 
 Tk_MakeWindowExist (tkwin);

 return TCL_OK;
}
