#include "TkXext.h"
#include "string.to.window.h"

int TkXext_Focus TCL_OBJ_CMD_ARGS {
 Window win;
 Display *dis;
 
 if (2 != objc) {
  Tcl_WrongNumArgs (interp, 1, objv, "XID/WinID");
  return TCL_ERROR;
 }

 if (TCL_OK != TkXext_StringToWindow (interp, Tcl_GetString (objv[1]), &win)) {
  return TCL_ERROR;
 }

 Tk_MakeWindowExist (Tk_MainWindow(interp));
 dis = Tk_Display (Tk_MainWindow(interp));
 XSetInputFocus (dis, win, RevertToParent, CurrentTime);
 XFlush (dis);
 return TCL_OK;
}
