#include "TkXext.h"
#include "string.to.window.h"

int TkXext_MoveWindow TCL_OBJ_CMD_ARGS {
 int x;
 int y;
 char *winStr;
 Window w;
 Tk_Window tkwin;
 Display *dis;

 /*TkXext.move.window hexId x y*/
 if (4 != objc) {
  Tcl_WrongNumArgs (interp, 1, objv, "hexId x y");
  return TCL_ERROR;
 }
 
 tkwin = Tk_MainWindow (interp);
 Tk_MakeWindowExist (tkwin);
 dis = Tk_Display (tkwin);

 winStr = Tcl_GetString (objv[1]);
 if (TCL_OK != TkXext_StringToWindow (interp, winStr, &w)) {
  return TCL_ERROR;
 } 

 if (TCL_OK != Tcl_GetIntFromObj (interp, objv[2], &x)) {
  return TCL_ERROR;
 }
 
 if (TCL_OK != Tcl_GetIntFromObj (interp, objv[3], &y)) {
  return TCL_ERROR;
 }
 
 XMoveWindow (dis, w, x, y);
  
 return TCL_OK;
}

