#include "TkXext.h"
 
int TkXext_SendButtonPress TCL_OBJ_CMD_ARGS {
 Display *dis;
 Tk_Window tkwin;
 int buttonNum;
 
 /*TkXext.send.button.press buttonNumber*/
 if (objc != 2) {
  Tcl_WrongNumArgs (interp, 1, objv, "buttonNumber");
  return TCL_ERROR;
 }

 if (TCL_OK != Tcl_GetIntFromObj (interp, objv[1], &buttonNum)) {
  return TCL_ERROR;
 }
 
 tkwin = Tk_MainWindow (interp);
 Tk_MakeWindowExist (tkwin);
 dis = Tk_Display (tkwin);
 XTestFakeButtonEvent (dis, buttonNum, 1, 0);
 XFlush (dis);
 
 return TCL_OK;
}
